Skip to content
English
  • There are no suggestions because the search field is empty.

Creates a governance statement for the declaration

POST
/gov/v1/controls/declaration/{subject_cid}/{project_uuid}

       
curl --request POST \
--url https://example.com/gov/v1/controls/declaration/example/example \
--header ' Authorization: Bearer ' \
--header ' Content-Type: application/json ' \
--data ' { "attachmentCid": "[\"urn:cid:attachment_cid_one\", \"urn:cid:attachment_cid_two\"]", "controlCid": [ "example" ], "documentType": "example", "extra": { "additionalProperty": "example" }, "statement": "Fullfills the requirement.", "subjectLine": "Declaration Subject", "submittedAt": "2025-03-12T12:00:06Z", "submittedBy": "did:key:z6MkvWwG4YJDNEBq6ufypq6mBGpKje7bfJefcQkMoGWPjoq1" } '

Creates a governance statement for the declaration

subject_cid
required
string
project_uuid
required
string
Media type application/json
object
attachmentCid
Array
nullable
Example

              
[ " urn:cid:attachment_cid_one " , " urn:cid:attachment_cid_two " ]
controlCid
Array
nullable
documentType
string
extra
object
key
additional properties
statement
string
nullable
Example

              
Fullfills the requirement.
subjectLine
string
nullable
Example

              
Declaration Subject
submittedAt
required
string format: date-time
Example

              
2025-03-12T12:00:06Z
submittedBy
required
string
Example

              
did:key:z6MkvWwG4YJDNEBq6ufypq6mBGpKje7bfJefcQkMoGWPjoq1

Governance statement created for declaration successfully.

Media type application/json
object
documentCid
required
string
statement
required

Records governance information for a subject

This statement type associates governance documents (policies, procedures, compliance documents) with subjects in the lineage system.

object
@context
required

JSON-LD context URL

string
@id
required

Unique identifier for this statement

string
@type
required

Statement type identifier

string
document
required

CID of the governance document

string
registeredBy
required

DID of the entity that registered this statement

string
subject
required

The subject to which governance applies

string
timestamp
required

ISO 8601 timestamp of when the statement was created

string
statementCid
required
string
Example generated

          
{
"documentCid" : " example " ,
"statement" : {
"@context" : " example " ,
"@id" : " example " ,
"@type" : " example " ,
"document" : " example " ,
"registeredBy" : " example " ,
"subject" : " example " ,
"timestamp" : " example "
},
"statementCid" : " example "
}